%define name audacious-vgmstream
%define oname vgmstream
%define version 0
%define svn r601
%define release %mkrel 0.%svn.1

Summary: Audacious plugin for playback of various streamed video game formats
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{oname}-%{svn}.tar.gz
License: MIT
Group: Sound
Url: https://sourceforge.net/projects/vgmstream/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libaudacious-devel
BuildRequires: libmpg123-devel
BuildRequires: libvorbis-devel
BuildRequires: gtk+2-devel
Requires: audacious
Provides: audacious-cube
Obsoletes: audacious-cube

%description
This is vgmstream, a library for playing streamed audio from video games.

%prep
%setup -q -n %oname-%svn
./bootstrap

%build
export CPPFLAGS=-D_FILE_OFFSET_BITS=64
%configure2_5x
%make -f Makefile.unix

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std  -f Makefile.unix
rm -f %buildroot%_libdir/audacious/Input/libvgmstream.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc *.txt
%_libdir/audacious/Input/libvgmstream.so


%changelog
* Fri Mar 13 2009 Götz Waschk <waschk@mandriva.org> 0-0.r601.1mdv2009.1
+ Revision: 354598
- new snapshot

* Fri Dec 19 2008 Götz Waschk <waschk@mandriva.org> 0-0.r526.1mdv2009.1
+ Revision: 316059
- new snapshot
- fix build

* Sat Aug 02 2008 Götz Waschk <waschk@mandriva.org> 0-0.r386.1mdv2009.0
+ Revision: 261373
- new snapshot

* Tue Jul 22 2008 Götz Waschk <waschk@mandriva.org> 0-0.r368.1mdv2009.0
+ Revision: 240088
- new version

* Mon Jul 21 2008 Götz Waschk <waschk@mandriva.org> 0-0.r359.1mdv2009.0
+ Revision: 239439
- new version
- rename audacious-cube

* Thu May 15 2008 Götz Waschk <waschk@mandriva.org> 1.2.2-2mdv2009.0
+ Revision: 207594
- fix build with new autoconf

* Mon Feb 25 2008 Götz Waschk <waschk@mandriva.org> 1.2.2-1mdv2008.1
+ Revision: 174734
- new version

* Mon Feb 18 2008 Götz Waschk <waschk@mandriva.org> 1.2.1-2mdv2008.1
+ Revision: 171207
- rebuild for new libmcs

* Wed Jan 30 2008 Götz Waschk <waschk@mandriva.org> 1.2.1-1mdv2008.1
+ Revision: 160169
- import audacious-cube

